# &kde; User's Manual

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

&kde; ECMAScript compatible interpreter

## Synopsis

    kjs

    --help
    -help
    -h

    -e statement

    script

## Description

`kjs` is KDE ECMAScript/JavaScript engine.

## Application Options

`--help`,`-help`,`-h`

  Show `kjscmd` usage.

`-e` `statement`

  Executes the statement and exits. For example:

      kjs -e "print('hello world')"

`script`

  Executes the statements included in file `script`.

## Usage

`kjs` `file`, as many other interpreters, when called without parameters uses a line editor to enter statements, showing the prompt

    JS>

To exit the line editor type `quit()` or press `Ctrl+D`.

## See Also

kjs(1)

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.